Bug 1119791 - Add a list of changed fields for Edit running VM
Summary: Add a list of changed fields for Edit running VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Omer Frenkel
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On: 1115056
Blocks: rhev3.5beta3
TreeView+ depends on / blocked
 
Reported: 2014-07-15 14:02 UTC by Ilanit Stein
Modified: 2015-02-17 08:29 UTC (History)
10 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-14
Doc Type: Bug Fix
Doc Text:
Cause: updating vm while it is running Consequence: in webadmin, a message is shown if some of the fields can be updated only after restart Fix: the message will list the changed fields, so the user have all information on what will be applied only after shutdown Result: ^^
Clone Of:
Environment:
Last Closed: 2015-02-17 08:29:28 UTC
oVirt Team: ---
istein: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33046 master MERGED core,webadmin: show list of changed fields when updating running vm Never
oVirt gerrit 33656 ovirt-engine-3.5 MERGED core,webadmin: show list of changed fields when updating running vm Never

Description Ilanit Stein 2014-07-15 14:02:42 UTC
Description of problem:
This RFE is extension to existing Bug 922377 - Allow edit running VM.

Please add a list of all properties that were changed, and will be implemented on VM next boot.
It should be seen, when pressing OK, for Edit VM, which changes that will be implemented on next boot.

This list should be hidden:
- in order to avoid exposing this information in case it is not required,
- in case this list might be very log.
The list naming should be understandable to the user.
That is it should be the same fields displayed in the edit VM window,
or at least there should have understandable linkage between the names in the list and the names in the edit VM window.  

Version-Release number of selected component (if applicable):
rhevm /ovirt  3.5

Comment 1 Michal Skrivanek 2014-07-16 13:00:53 UTC
I'm considering it a required addition to the "edit running vm feature", without it it is very confusing to understand what has changed (more importantly it can hide bugs we see from time to time where we by mistake change fields without the user knowing)

at least a code names would help to understand something has changed

Comment 2 Eyal Edri 2014-10-07 07:12:58 UTC
this bug status was moved to MODIFIED before engine vt5 was built,
hence moving to on_qa, if this was mistake and the fix isn't in,
please contact rhev-integ@redhat.com

Comment 3 Ilanit Stein 2014-10-19 11:55:47 UTC
Tested on vt5 & vt6.

There is a list indeed of code names of the parameters that were changed.
But, I see here 2 problems:

1. Not always do the code names are clear to user. 
For example, edit vm -> mark 'start running on specific host:' checkbox,
will display this parameter was changed:
dedicatedVmForVds 

2. For cpu hot plug, the cpu sockets is listed under the changes that will start after next boot, though I DO NOT choose 'Apply later' checkbox, for the cpu changes. Since at that stage, it is unknown to the system, whether the user will choose or not the 'Apply later' checkbox.

Is there something can be done to improve these 2?

Comment 4 Ilanit Stein 2014-10-22 10:09:06 UTC
Moving this bug to verified since the list of changed fields was added.
For the issues detailed in comment #3, a separate bug will be opened.

Comment 5 Omer Frenkel 2015-02-17 08:29:28 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.